# Type alias Implementation

Implementation: {
KEYS: {
ACCOUNT_UCAN: string;
CID_LOG: string;
SESSION: string;
UCANS: string;
};
clear: (() => Promise<void>);
getItem: (<T>(key: string) => Promise<T | null>);
removeItem: ((key: string) => Promise<void>);
setItem: (<T>(key: string, val: T) => Promise<T>);
}

#### Type declaration

- ##### KEYS: {
  ACCOUNT_UCAN: string;
  CID_LOG: string;
  SESSION: string;
  UCANS: string;
  }

  - ##### ACCOUNT_UCAN: string

  - ##### CID_LOG: string

  - ##### SESSION: string

  - ##### UCANS: string

- ##### clear: (() => Promise<void>)

  - - (): Promise<void>

    - #### Returns Promise<void>

- ##### getItem: (<T>(key: string) => Promise<T | null>)

  - - <T>(key: string): Promise<T | null>

    - #### Type Parameters

      - #### T

      #### Parameters

      - ##### key: string

      #### Returns Promise<T | null>

- ##### removeItem: ((key: string) => Promise<void>)

  - - (key: string): Promise<void>

    - #### Parameters

      - ##### key: string

      #### Returns Promise<void>

- ##### setItem: (<T>(key: string, val: T) => Promise<T>)

  - - <T>(key: string, val: T): Promise<T>

    - #### Type Parameters

      - #### T

      #### Parameters

      - ##### key: string

      - ##### val: T

      #### Returns Promise<T>

- Defined in components/storage/implementation.ts:6

Generated using TypeDoc